Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network97.64.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
97.64.0.0
Broadcast address
97.71.255.255
First usable
97.64.0.1
Last usable
97.71.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 61400000 · Integer 1631584256 to 1632108543
Reverse DNS zones
64.97.in-addr.arpa
65.97.in-addr.arpa
66.97.in-addr.arpa
67.97.in-addr.arpa
68.97.in-addr.arpa
69.97.in-addr.arpa
70.97.in-addr.arpa
71.97.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100001.01000000.00000000.0000000097.64.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network01100001.01000000.00000000.0000000097.64.0.0
Broadcast01100001.01000111.11111111.1111111197.71.255.255
Split into smaller subnets/24

97.64.0.0/13 makes 2,048 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
197.64.0.0/2497.64.0.1 to 97.64.0.25497.64.0.255254
297.64.1.0/2497.64.1.1 to 97.64.1.25497.64.1.255254
397.64.2.0/2497.64.2.1 to 97.64.2.25497.64.2.255254
497.64.3.0/2497.64.3.1 to 97.64.3.25497.64.3.255254
597.64.4.0/2497.64.4.1 to 97.64.4.25497.64.4.255254
697.64.5.0/2497.64.5.1 to 97.64.5.25497.64.5.255254
797.64.6.0/2497.64.6.1 to 97.64.6.25497.64.6.255254
897.64.7.0/2497.64.7.1 to 97.64.7.25497.64.7.255254
997.64.8.0/2497.64.8.1 to 97.64.8.25497.64.8.255254
1097.64.9.0/2497.64.9.1 to 97.64.9.25497.64.9.255254
1197.64.10.0/2497.64.10.1 to 97.64.10.25497.64.10.255254
1297.64.11.0/2497.64.11.1 to 97.64.11.25497.64.11.255254
1397.64.12.0/2497.64.12.1 to 97.64.12.25497.64.12.255254
1497.64.13.0/2497.64.13.1 to 97.64.13.25497.64.13.255254
1597.64.14.0/2497.64.14.1 to 97.64.14.25497.64.14.255254
1697.64.15.0/2497.64.15.1 to 97.64.15.25497.64.15.255254
1797.64.16.0/2497.64.16.1 to 97.64.16.25497.64.16.255254
1897.64.17.0/2497.64.17.1 to 97.64.17.25497.64.17.255254
1997.64.18.0/2497.64.18.1 to 97.64.18.25497.64.18.255254
2097.64.19.0/2497.64.19.1 to 97.64.19.25497.64.19.255254
2197.64.20.0/2497.64.20.1 to 97.64.20.25497.64.20.255254
2297.64.21.0/2497.64.21.1 to 97.64.21.25497.64.21.255254
2397.64.22.0/2497.64.22.1 to 97.64.22.25497.64.22.255254
2497.64.23.0/2497.64.23.1 to 97.64.23.25497.64.23.255254
2597.64.24.0/2497.64.24.1 to 97.64.24.25497.64.24.255254
2697.64.25.0/2497.64.25.1 to 97.64.25.25497.64.25.255254
2797.64.26.0/2497.64.26.1 to 97.64.26.25497.64.26.255254
2897.64.27.0/2497.64.27.1 to 97.64.27.25497.64.27.255254
2997.64.28.0/2497.64.28.1 to 97.64.28.25497.64.28.255254
3097.64.29.0/2497.64.29.1 to 97.64.29.25497.64.29.255254
3197.64.30.0/2497.64.30.1 to 97.64.30.25497.64.30.255254
3297.64.31.0/2497.64.31.1 to 97.64.31.25497.64.31.255254
3397.64.32.0/2497.64.32.1 to 97.64.32.25497.64.32.255254
3497.64.33.0/2497.64.33.1 to 97.64.33.25497.64.33.255254
3597.64.34.0/2497.64.34.1 to 97.64.34.25497.64.34.255254
3697.64.35.0/2497.64.35.1 to 97.64.35.25497.64.35.255254
3797.64.36.0/2497.64.36.1 to 97.64.36.25497.64.36.255254
3897.64.37.0/2497.64.37.1 to 97.64.37.25497.64.37.255254
3997.64.38.0/2497.64.38.1 to 97.64.38.25497.64.38.255254
4097.64.39.0/2497.64.39.1 to 97.64.39.25497.64.39.255254
4197.64.40.0/2497.64.40.1 to 97.64.40.25497.64.40.255254
4297.64.41.0/2497.64.41.1 to 97.64.41.25497.64.41.255254
4397.64.42.0/2497.64.42.1 to 97.64.42.25497.64.42.255254
4497.64.43.0/2497.64.43.1 to 97.64.43.25497.64.43.255254
4597.64.44.0/2497.64.44.1 to 97.64.44.25497.64.44.255254
4697.64.45.0/2497.64.45.1 to 97.64.45.25497.64.45.255254
4797.64.46.0/2497.64.46.1 to 97.64.46.25497.64.46.255254
4897.64.47.0/2497.64.47.1 to 97.64.47.25497.64.47.255254
4997.64.48.0/2497.64.48.1 to 97.64.48.25497.64.48.255254
5097.64.49.0/2497.64.49.1 to 97.64.49.25497.64.49.255254
5197.64.50.0/2497.64.50.1 to 97.64.50.25497.64.50.255254
5297.64.51.0/2497.64.51.1 to 97.64.51.25497.64.51.255254
5397.64.52.0/2497.64.52.1 to 97.64.52.25497.64.52.255254
5497.64.53.0/2497.64.53.1 to 97.64.53.25497.64.53.255254
5597.64.54.0/2497.64.54.1 to 97.64.54.25497.64.54.255254
5697.64.55.0/2497.64.55.1 to 97.64.55.25497.64.55.255254
5797.64.56.0/2497.64.56.1 to 97.64.56.25497.64.56.255254
5897.64.57.0/2497.64.57.1 to 97.64.57.25497.64.57.255254
5997.64.58.0/2497.64.58.1 to 97.64.58.25497.64.58.255254
6097.64.59.0/2497.64.59.1 to 97.64.59.25497.64.59.255254
6197.64.60.0/2497.64.60.1 to 97.64.60.25497.64.60.255254
6297.64.61.0/2497.64.61.1 to 97.64.61.25497.64.61.255254
6397.64.62.0/2497.64.62.1 to 97.64.62.25497.64.62.255254
6497.64.63.0/2497.64.63.1 to 97.64.63.25497.64.63.255254
6597.64.64.0/2497.64.64.1 to 97.64.64.25497.64.64.255254
6697.64.65.0/2497.64.65.1 to 97.64.65.25497.64.65.255254
6797.64.66.0/2497.64.66.1 to 97.64.66.25497.64.66.255254
6897.64.67.0/2497.64.67.1 to 97.64.67.25497.64.67.255254
6997.64.68.0/2497.64.68.1 to 97.64.68.25497.64.68.255254
7097.64.69.0/2497.64.69.1 to 97.64.69.25497.64.69.255254
7197.64.70.0/2497.64.70.1 to 97.64.70.25497.64.70.255254
7297.64.71.0/2497.64.71.1 to 97.64.71.25497.64.71.255254
7397.64.72.0/2497.64.72.1 to 97.64.72.25497.64.72.255254
7497.64.73.0/2497.64.73.1 to 97.64.73.25497.64.73.255254
7597.64.74.0/2497.64.74.1 to 97.64.74.25497.64.74.255254
7697.64.75.0/2497.64.75.1 to 97.64.75.25497.64.75.255254
7797.64.76.0/2497.64.76.1 to 97.64.76.25497.64.76.255254
7897.64.77.0/2497.64.77.1 to 97.64.77.25497.64.77.255254
7997.64.78.0/2497.64.78.1 to 97.64.78.25497.64.78.255254
8097.64.79.0/2497.64.79.1 to 97.64.79.25497.64.79.255254
8197.64.80.0/2497.64.80.1 to 97.64.80.25497.64.80.255254
8297.64.81.0/2497.64.81.1 to 97.64.81.25497.64.81.255254
8397.64.82.0/2497.64.82.1 to 97.64.82.25497.64.82.255254
8497.64.83.0/2497.64.83.1 to 97.64.83.25497.64.83.255254
8597.64.84.0/2497.64.84.1 to 97.64.84.25497.64.84.255254
8697.64.85.0/2497.64.85.1 to 97.64.85.25497.64.85.255254
8797.64.86.0/2497.64.86.1 to 97.64.86.25497.64.86.255254
8897.64.87.0/2497.64.87.1 to 97.64.87.25497.64.87.255254
8997.64.88.0/2497.64.88.1 to 97.64.88.25497.64.88.255254
9097.64.89.0/2497.64.89.1 to 97.64.89.25497.64.89.255254
9197.64.90.0/2497.64.90.1 to 97.64.90.25497.64.90.255254
9297.64.91.0/2497.64.91.1 to 97.64.91.25497.64.91.255254
9397.64.92.0/2497.64.92.1 to 97.64.92.25497.64.92.255254
9497.64.93.0/2497.64.93.1 to 97.64.93.25497.64.93.255254
9597.64.94.0/2497.64.94.1 to 97.64.94.25497.64.94.255254
9697.64.95.0/2497.64.95.1 to 97.64.95.25497.64.95.255254
9797.64.96.0/2497.64.96.1 to 97.64.96.25497.64.96.255254
9897.64.97.0/2497.64.97.1 to 97.64.97.25497.64.97.255254
9997.64.98.0/2497.64.98.1 to 97.64.98.25497.64.98.255254
10097.64.99.0/2497.64.99.1 to 97.64.99.25497.64.99.255254
10197.64.100.0/2497.64.100.1 to 97.64.100.25497.64.100.255254
10297.64.101.0/2497.64.101.1 to 97.64.101.25497.64.101.255254
10397.64.102.0/2497.64.102.1 to 97.64.102.25497.64.102.255254
10497.64.103.0/2497.64.103.1 to 97.64.103.25497.64.103.255254
10597.64.104.0/2497.64.104.1 to 97.64.104.25497.64.104.255254
10697.64.105.0/2497.64.105.1 to 97.64.105.25497.64.105.255254
10797.64.106.0/2497.64.106.1 to 97.64.106.25497.64.106.255254
10897.64.107.0/2497.64.107.1 to 97.64.107.25497.64.107.255254
10997.64.108.0/2497.64.108.1 to 97.64.108.25497.64.108.255254
11097.64.109.0/2497.64.109.1 to 97.64.109.25497.64.109.255254
11197.64.110.0/2497.64.110.1 to 97.64.110.25497.64.110.255254
11297.64.111.0/2497.64.111.1 to 97.64.111.25497.64.111.255254
11397.64.112.0/2497.64.112.1 to 97.64.112.25497.64.112.255254
11497.64.113.0/2497.64.113.1 to 97.64.113.25497.64.113.255254
11597.64.114.0/2497.64.114.1 to 97.64.114.25497.64.114.255254
11697.64.115.0/2497.64.115.1 to 97.64.115.25497.64.115.255254
11797.64.116.0/2497.64.116.1 to 97.64.116.25497.64.116.255254
11897.64.117.0/2497.64.117.1 to 97.64.117.25497.64.117.255254
11997.64.118.0/2497.64.118.1 to 97.64.118.25497.64.118.255254
12097.64.119.0/2497.64.119.1 to 97.64.119.25497.64.119.255254
12197.64.120.0/2497.64.120.1 to 97.64.120.25497.64.120.255254
12297.64.121.0/2497.64.121.1 to 97.64.121.25497.64.121.255254
12397.64.122.0/2497.64.122.1 to 97.64.122.25497.64.122.255254
12497.64.123.0/2497.64.123.1 to 97.64.123.25497.64.123.255254
12597.64.124.0/2497.64.124.1 to 97.64.124.25497.64.124.255254
12697.64.125.0/2497.64.125.1 to 97.64.125.25497.64.125.255254
12797.64.126.0/2497.64.126.1 to 97.64.126.25497.64.126.255254
12897.64.127.0/2497.64.127.1 to 97.64.127.25497.64.127.255254
12997.64.128.0/2497.64.128.1 to 97.64.128.25497.64.128.255254
13097.64.129.0/2497.64.129.1 to 97.64.129.25497.64.129.255254
13197.64.130.0/2497.64.130.1 to 97.64.130.25497.64.130.255254
13297.64.131.0/2497.64.131.1 to 97.64.131.25497.64.131.255254
13397.64.132.0/2497.64.132.1 to 97.64.132.25497.64.132.255254
13497.64.133.0/2497.64.133.1 to 97.64.133.25497.64.133.255254
13597.64.134.0/2497.64.134.1 to 97.64.134.25497.64.134.255254
13697.64.135.0/2497.64.135.1 to 97.64.135.25497.64.135.255254
13797.64.136.0/2497.64.136.1 to 97.64.136.25497.64.136.255254
13897.64.137.0/2497.64.137.1 to 97.64.137.25497.64.137.255254
13997.64.138.0/2497.64.138.1 to 97.64.138.25497.64.138.255254
14097.64.139.0/2497.64.139.1 to 97.64.139.25497.64.139.255254
14197.64.140.0/2497.64.140.1 to 97.64.140.25497.64.140.255254
14297.64.141.0/2497.64.141.1 to 97.64.141.25497.64.141.255254
14397.64.142.0/2497.64.142.1 to 97.64.142.25497.64.142.255254
14497.64.143.0/2497.64.143.1 to 97.64.143.25497.64.143.255254
14597.64.144.0/2497.64.144.1 to 97.64.144.25497.64.144.255254
14697.64.145.0/2497.64.145.1 to 97.64.145.25497.64.145.255254
14797.64.146.0/2497.64.146.1 to 97.64.146.25497.64.146.255254
14897.64.147.0/2497.64.147.1 to 97.64.147.25497.64.147.255254
14997.64.148.0/2497.64.148.1 to 97.64.148.25497.64.148.255254
15097.64.149.0/2497.64.149.1 to 97.64.149.25497.64.149.255254
15197.64.150.0/2497.64.150.1 to 97.64.150.25497.64.150.255254
15297.64.151.0/2497.64.151.1 to 97.64.151.25497.64.151.255254
15397.64.152.0/2497.64.152.1 to 97.64.152.25497.64.152.255254
15497.64.153.0/2497.64.153.1 to 97.64.153.25497.64.153.255254
15597.64.154.0/2497.64.154.1 to 97.64.154.25497.64.154.255254
15697.64.155.0/2497.64.155.1 to 97.64.155.25497.64.155.255254
15797.64.156.0/2497.64.156.1 to 97.64.156.25497.64.156.255254
15897.64.157.0/2497.64.157.1 to 97.64.157.25497.64.157.255254
15997.64.158.0/2497.64.158.1 to 97.64.158.25497.64.158.255254
16097.64.159.0/2497.64.159.1 to 97.64.159.25497.64.159.255254
16197.64.160.0/2497.64.160.1 to 97.64.160.25497.64.160.255254
16297.64.161.0/2497.64.161.1 to 97.64.161.25497.64.161.255254
16397.64.162.0/2497.64.162.1 to 97.64.162.25497.64.162.255254
16497.64.163.0/2497.64.163.1 to 97.64.163.25497.64.163.255254
16597.64.164.0/2497.64.164.1 to 97.64.164.25497.64.164.255254
16697.64.165.0/2497.64.165.1 to 97.64.165.25497.64.165.255254
16797.64.166.0/2497.64.166.1 to 97.64.166.25497.64.166.255254
16897.64.167.0/2497.64.167.1 to 97.64.167.25497.64.167.255254
16997.64.168.0/2497.64.168.1 to 97.64.168.25497.64.168.255254
17097.64.169.0/2497.64.169.1 to 97.64.169.25497.64.169.255254
17197.64.170.0/2497.64.170.1 to 97.64.170.25497.64.170.255254
17297.64.171.0/2497.64.171.1 to 97.64.171.25497.64.171.255254
17397.64.172.0/2497.64.172.1 to 97.64.172.25497.64.172.255254
17497.64.173.0/2497.64.173.1 to 97.64.173.25497.64.173.255254
17597.64.174.0/2497.64.174.1 to 97.64.174.25497.64.174.255254
17697.64.175.0/2497.64.175.1 to 97.64.175.25497.64.175.255254
17797.64.176.0/2497.64.176.1 to 97.64.176.25497.64.176.255254
17897.64.177.0/2497.64.177.1 to 97.64.177.25497.64.177.255254
17997.64.178.0/2497.64.178.1 to 97.64.178.25497.64.178.255254
18097.64.179.0/2497.64.179.1 to 97.64.179.25497.64.179.255254
18197.64.180.0/2497.64.180.1 to 97.64.180.25497.64.180.255254
18297.64.181.0/2497.64.181.1 to 97.64.181.25497.64.181.255254
18397.64.182.0/2497.64.182.1 to 97.64.182.25497.64.182.255254
18497.64.183.0/2497.64.183.1 to 97.64.183.25497.64.183.255254
18597.64.184.0/2497.64.184.1 to 97.64.184.25497.64.184.255254
18697.64.185.0/2497.64.185.1 to 97.64.185.25497.64.185.255254
18797.64.186.0/2497.64.186.1 to 97.64.186.25497.64.186.255254
18897.64.187.0/2497.64.187.1 to 97.64.187.25497.64.187.255254
18997.64.188.0/2497.64.188.1 to 97.64.188.25497.64.188.255254
19097.64.189.0/2497.64.189.1 to 97.64.189.25497.64.189.255254
19197.64.190.0/2497.64.190.1 to 97.64.190.25497.64.190.255254
19297.64.191.0/2497.64.191.1 to 97.64.191.25497.64.191.255254
19397.64.192.0/2497.64.192.1 to 97.64.192.25497.64.192.255254
19497.64.193.0/2497.64.193.1 to 97.64.193.25497.64.193.255254
19597.64.194.0/2497.64.194.1 to 97.64.194.25497.64.194.255254
19697.64.195.0/2497.64.195.1 to 97.64.195.25497.64.195.255254
19797.64.196.0/2497.64.196.1 to 97.64.196.25497.64.196.255254
19897.64.197.0/2497.64.197.1 to 97.64.197.25497.64.197.255254
19997.64.198.0/2497.64.198.1 to 97.64.198.25497.64.198.255254
20097.64.199.0/2497.64.199.1 to 97.64.199.25497.64.199.255254
20197.64.200.0/2497.64.200.1 to 97.64.200.25497.64.200.255254
20297.64.201.0/2497.64.201.1 to 97.64.201.25497.64.201.255254
20397.64.202.0/2497.64.202.1 to 97.64.202.25497.64.202.255254
20497.64.203.0/2497.64.203.1 to 97.64.203.25497.64.203.255254
20597.64.204.0/2497.64.204.1 to 97.64.204.25497.64.204.255254
20697.64.205.0/2497.64.205.1 to 97.64.205.25497.64.205.255254
20797.64.206.0/2497.64.206.1 to 97.64.206.25497.64.206.255254
20897.64.207.0/2497.64.207.1 to 97.64.207.25497.64.207.255254
20997.64.208.0/2497.64.208.1 to 97.64.208.25497.64.208.255254
21097.64.209.0/2497.64.209.1 to 97.64.209.25497.64.209.255254
21197.64.210.0/2497.64.210.1 to 97.64.210.25497.64.210.255254
21297.64.211.0/2497.64.211.1 to 97.64.211.25497.64.211.255254
21397.64.212.0/2497.64.212.1 to 97.64.212.25497.64.212.255254
21497.64.213.0/2497.64.213.1 to 97.64.213.25497.64.213.255254
21597.64.214.0/2497.64.214.1 to 97.64.214.25497.64.214.255254
21697.64.215.0/2497.64.215.1 to 97.64.215.25497.64.215.255254
21797.64.216.0/2497.64.216.1 to 97.64.216.25497.64.216.255254
21897.64.217.0/2497.64.217.1 to 97.64.217.25497.64.217.255254
21997.64.218.0/2497.64.218.1 to 97.64.218.25497.64.218.255254
22097.64.219.0/2497.64.219.1 to 97.64.219.25497.64.219.255254
22197.64.220.0/2497.64.220.1 to 97.64.220.25497.64.220.255254
22297.64.221.0/2497.64.221.1 to 97.64.221.25497.64.221.255254
22397.64.222.0/2497.64.222.1 to 97.64.222.25497.64.222.255254
22497.64.223.0/2497.64.223.1 to 97.64.223.25497.64.223.255254
22597.64.224.0/2497.64.224.1 to 97.64.224.25497.64.224.255254
22697.64.225.0/2497.64.225.1 to 97.64.225.25497.64.225.255254
22797.64.226.0/2497.64.226.1 to 97.64.226.25497.64.226.255254
22897.64.227.0/2497.64.227.1 to 97.64.227.25497.64.227.255254
22997.64.228.0/2497.64.228.1 to 97.64.228.25497.64.228.255254
23097.64.229.0/2497.64.229.1 to 97.64.229.25497.64.229.255254
23197.64.230.0/2497.64.230.1 to 97.64.230.25497.64.230.255254
23297.64.231.0/2497.64.231.1 to 97.64.231.25497.64.231.255254
23397.64.232.0/2497.64.232.1 to 97.64.232.25497.64.232.255254
23497.64.233.0/2497.64.233.1 to 97.64.233.25497.64.233.255254
23597.64.234.0/2497.64.234.1 to 97.64.234.25497.64.234.255254
23697.64.235.0/2497.64.235.1 to 97.64.235.25497.64.235.255254
23797.64.236.0/2497.64.236.1 to 97.64.236.25497.64.236.255254
23897.64.237.0/2497.64.237.1 to 97.64.237.25497.64.237.255254
23997.64.238.0/2497.64.238.1 to 97.64.238.25497.64.238.255254
24097.64.239.0/2497.64.239.1 to 97.64.239.25497.64.239.255254
24197.64.240.0/2497.64.240.1 to 97.64.240.25497.64.240.255254
24297.64.241.0/2497.64.241.1 to 97.64.241.25497.64.241.255254
24397.64.242.0/2497.64.242.1 to 97.64.242.25497.64.242.255254
24497.64.243.0/2497.64.243.1 to 97.64.243.25497.64.243.255254
24597.64.244.0/2497.64.244.1 to 97.64.244.25497.64.244.255254
24697.64.245.0/2497.64.245.1 to 97.64.245.25497.64.245.255254
24797.64.246.0/2497.64.246.1 to 97.64.246.25497.64.246.255254
24897.64.247.0/2497.64.247.1 to 97.64.247.25497.64.247.255254
24997.64.248.0/2497.64.248.1 to 97.64.248.25497.64.248.255254
25097.64.249.0/2497.64.249.1 to 97.64.249.25497.64.249.255254
25197.64.250.0/2497.64.250.1 to 97.64.250.25497.64.250.255254
25297.64.251.0/2497.64.251.1 to 97.64.251.25497.64.251.255254
25397.64.252.0/2497.64.252.1 to 97.64.252.25497.64.252.255254
25497.64.253.0/2497.64.253.1 to 97.64.253.25497.64.253.255254
25597.64.254.0/2497.64.254.1 to 97.64.254.25497.64.254.255254
25697.64.255.0/2497.64.255.1 to 97.64.255.25497.64.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses